## cascading.tuple.hadoop
Class DelegatingTupleElementComparator

    java.lang.Object
      cascading.tuple.hadoop.DelegatingTupleElementComparator

All Implemented Interfaces:
  StreamComparator<TupleInputStream>, Comparator<Object>

    public class DelegatingTupleElementComparator

extends Object
implements StreamComparator<TupleInputStream>, Comparator<Object>

Constructor Summary
`DelegatingTupleElementComparator(TupleSerialization tupleSerialization)`

Method Summary
`int` `compare(Object lhs, Object rhs)`
`int` `compare(TupleInputStream lhsStream, TupleInputStream rhsStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### DelegatingTupleElementComparator

    public DelegatingTupleElementComparator(TupleSerialization tupleSerialization)

Method Detail

### compare

    public int compare(Object lhs,
                       Object rhs)

  Specified by:
    `compare` in interface `Comparator<Object>`

### compare

    public int compare(TupleInputStream lhsStream,
                       TupleInputStream rhsStream)

  Specified by:
    `compare` in interface `StreamComparator<TupleInputStream>`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.